NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Section Class Reference

Represents a section
Section consists of "chained_entity", a chain or a single entity of edge or curve. More...

Inheritance diagram for NXOpen::Section:
NXOpen::DisplayableObject NXOpen::NXObject NXOpen::IFitTo NXOpen::TaggedObject NXOpen::INXObject NXOpen::INXObject

Public Types

enum  AllowTypes { AllowTypesUninitialized, AllowTypesOnlyCurves, AllowTypesOnlyPoints, AllowTypesCurvesAndPoints }
 Defines entity types allowed. More...
 
enum  DeselectOption { DeselectOptionSectionBetweenIntersection, DeselectOptionCurveBetweenIntersection }
 Defines type of deselect option. More...
 
enum  Mode { ModeCreate, ModeEdit }
 Defines mode with respect to feature create or edit mode. More...
 
- Public Types inherited from NXOpen::DisplayableObject
enum  ObjectFont {
  ObjectFontSolid = 1, ObjectFontDashed, ObjectFontPhantom, ObjectFontCenterline,
  ObjectFontDotted, ObjectFontLongDashed, ObjectFontDottedDashed
}
 specifies the object font for objects such as lines
Created in NX3.0.0. More...
 
enum  ObjectWidth {
  ObjectWidthNormal, ObjectWidthThick, ObjectWidthThin, ObjectWidthOne = 5,
  ObjectWidthTwo, ObjectWidthThree, ObjectWidthFour, ObjectWidthFive,
  ObjectWidthSix, ObjectWidthSeven, ObjectWidthEight, ObjectWidthNine
}
 specifies object width for objects such as lines and text
Created in NX3.0.0. More...
 
- Public Types inherited from NXOpen::NXObject
enum  AttributeType {
  AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger,
  AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference,
  AttributeTypeAny = 100
}
 Specifies attribute type. More...
 
enum  DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual }
 Specifies the format of the date and time attribute. More...
 

Public Member Functions

void AddChainBetweenIntersectionPoints (const std::vector< NXOpen::SelectionIntentRule * > &rules, NXOpen::NXObject *startConnector, const NXOpen::Point3d &startIntersectionPoint, NXOpen::NXObject *endConnector, const NXOpen::Point3d &endIntersectionPoint, NXOpen::NXObject *seed, const NXOpen::Point3d &helpPoint, NXOpen::Section::Mode featureMode, bool chainWithinFeature)
 Adds a chain between given two intersection points to the section. More...
 
void AddSmartPoint (NXOpen::Point *smartPt, double tol)
 Add smart point into section. More...
 
void AddToSection (const std::vector< NXOpen::SelectionIntentRule * > &rules, NXOpen::NXObject *seed, NXOpen::NXObject *startConnector, NXOpen::NXObject *endConnector, const NXOpen::Point3d &helpPoint, NXOpen::Section::Mode featureMode)
 Adds selection intent rules to the section. More...
 
void AddToSection (const std::vector< NXOpen::SelectionIntentRule * > &rules, NXOpen::NXObject *seed, NXOpen::NXObject *startConnector, NXOpen::NXObject *endConnector, const NXOpen::Point3d &helpPoint, NXOpen::Section::Mode featureMode, bool chainWithinFeature)
 Adds selection intent rules to the section with the option of restricting chaining and limit discovery to a single feature. More...
 
void AlignDirectionOfLoop (const NXOpen::Point3d &point, const NXOpen::Vector3d &direction)
 Set the direction of a single loop of the section along the given vector. More...
 
void AllowSelfIntersection (bool allowSelfIntersection)
 Allow self intersecting section or not. More...
 
double AngleTolerance ()
 Returns the angle tolerance
Created in NX3.0.0. More...
 
double ChainingTolerance ()
 Returns the chaining tolerance
Created in NX3.0.0. More...
 
void CleanMappingData ()
 Cleans Mapping Data
This method should be used to clean mapping data after mapping is done
More...
 
void Clear ()
 Clear the section of all its constituents
Created in NX5.0.0. More...
 
NXOpen::SectionCloneSection ()
 Clone section. More...
 
void DeselectPortion (const NXOpen::Point3d &seedPoint, NXOpen::NXObject *startLimit, NXOpen::NXObject *endLimit, NXOpen::Section::DeselectOption deselectionType)
 Deselects Portion of the section depending on the option provided. More...
 
void Destroy ()
 Destroy the section object
Created in NX4.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX3.0.0. More...
 
void EvaluateAndAskOutputEntities (std::vector< NXOpen::NXObject * > &refs)
 Recalculates section collection. More...
 
NXOpen::Section::AllowTypes GetAllowedEntityTypes ()
 Get the Allowed Entity Types. More...
 
int GetLoopIndex (NXOpen::NXObject *sectionElement)
 Returns the index of the section loop conatining the section element. More...
 
int GetLoopIndex (const NXOpen::Point3d &pointSpecifyingLoop, double tolerance)
 Returns the index of the loop on which the given point lies. More...
 
bool GetMultiComponent ()
 Gets the option set on Section for collection from multiple components. More...
 
bool GetNonFeatureMode ()
 Gets the option set on Section for collection in non-feature mode. More...
 
void GetOldOutputCurves (std::vector< NXOpen::NXObject * > &oldOutputs)
 Gives the old output curves of the section. More...
 
void GetOutputCurves (std::vector< NXOpen::NXObject * > &outputs)
 Gives the output curves of the section. More...
 
void GetSectionData (std::vector< NXOpen::SectionData * > &sectionData)
 Gets the section data
Created in NX3.0.0. More...
 
void GetSectionData (bool withOccurrenceInfo, std::vector< NXOpen::SectionData * > &sectionData)
 Gets the section data
Created in NX12.0.0. More...
 
void GetStartAndDirection (NXOpen::ICurve **startElement, NXOpen::Point3d *startPoint, NXOpen::Vector3d *direction)
 Gets the start element and the direction of the section. More...
 
void GetStartAndDirectionOfLoop (int index, NXOpen::Point3d *startPoint, NXOpen::Vector3d *direction)
 Gets the start point and the direction of a specified single loop of the section. More...
 
void MapSectionElements (NXOpen::NXObject *oldWf, NXOpen::NXObject *newWf)
 Maps old section curves to new section curves
This method should be used to map old section curves to new section curves when some or all curves from section are removed and some or all new curves are added. More...
 
void PrepareMappingData ()
 Prepares Mapping Data
This method should be used to create mapping data if mapping is to be done

Created in NX7.5.0. More...
 
void RemoveMultipleCurves (const std::vector< NXOpen::ICurve * > &wfs, const std::vector< NXOpen::NXObject * > &startConnector, const std::vector< NXOpen::NXObject * > &endConnector, NXOpen::Section::Mode featureMode)
 Removes multiple section elements that are either curves/edges. More...
 
void RemoveMultipleElements (const std::vector< NXOpen::ICurve * > &wfs, const std::vector< NXOpen::NXObject * > &startConnectors, const std::vector< NXOpen::NXObject * > &endConnectors, const std::vector< bool > &isCombinationsResultIntoOnlyOneCurvePerCombination, const std::vector< NXOpen::Point3d > &pointsOnCurvesToBeRemoved, const std::vector< NXOpen::Point * > &points, NXOpen::Section::Mode featureMode)
 Removes multiple section elements. More...
 
void RemoveMultiplePoints (const std::vector< NXOpen::Point * > &points, NXOpen::Section::Mode featureMode)
 Removes multiple section elements that are points. More...
 
void RemoveRules (const std::vector< NXOpen::SelectionIntentRule * > &rules, NXOpen::NXObject *startConnector, NXOpen::NXObject *endConnector, NXOpen::Section::Mode featureMode)
 Removes selection intent rules from the section. More...
 
void RemoveRules (NXOpen::ICurve *sectionElement, NXOpen::NXObject *startConnector, NXOpen::NXObject *endConnector, NXOpen::Section::Mode featureMode)
 Removes all the selection intent rules related to the section element. More...
 
void RemoveSingleSectionElement (NXOpen::ICurve *sectionElement, NXOpen::NXObject *startConnector, NXOpen::NXObject *endConnector, NXOpen::Section::Mode featureMode)
 Removes one section element curve. More...
 
void RemoveSingleSectionElement (NXOpen::Point *sectionElement, NXOpen::Section::Mode featureMode)
 Removes one section element that is a point. More...
 
void RemoveUnderlyingChain (const NXOpen::Point3d &pointSpecifyingChain, double tolerance, NXOpen::Section::Mode featureMode)
 Removes all the selection intent rules related to the chain on which the given point lies. More...
 
void RemoveUnderlyingCurve (const NXOpen::Point3d &pointSpecifyingCurve, double tolerance, NXOpen::Section::Mode featureMode)
 Removes the single curve which is within tolerance to the given point, from the section. More...
 
void ReverseDirection ()
 Reverse the section direction
Created in NX4.0.0. More...
 
void ReverseDirectionOfClosedLoop (int index)
 Reverse the loop direction of a closed loop while keeping the start curve same. More...
 
void ReverseDirectionOfLoop (int index)
 Reverse the direction of of a specified single loop of the section. More...
 
void SetAllowedEntityTypes (NXOpen::Section::AllowTypes allowedEntityTypes)
 Set the Allowed Entity Types. More...
 
void SetAllowRefCrvs (bool allowRefCrvs)
 Sets to the section whether to allow reference curves or not. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX3.0.0. More...
 
void SetChainingTolerance (double chainingTolerance)
 Sets the chaining tolerance
Created in NX3.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX3.0.0. More...
 
void SetInterpart (bool interpart)
 Set inter-part state of section and make it empty. More...
 
void SetMultiComponent ()
 Sets the true option on Section for collection from multiple components. More...
 
void SetNonFeatureMode ()
 Sets the true option on Section for collection in non-feature mode. More...
 
void SetStartAndDirection (NXOpen::ICurve *startElement, const NXOpen::Point3d &startPoint, const NXOpen::Vector3d &direction)
 Sets the start element and the direction of the section. More...
 
void SetStartCurveOfClosedLoop (int index, const NXOpen::Point3d &pointOnStartCurve)
 Set the curve on which the specified point lies as the start curve of a specified single loop of the section. More...
 
void SkipSorting (bool skipSorting)
 Sets the option to skip sorting the section loops or not. More...
 
- Public Member Functions inherited from NXOpen::DisplayableObject
void Blank ()
 Blanks the object. More...
 
int Color ()
 Returns the color of the object. More...
 
void Highlight ()
 Highlights the object. More...
 
bool IsBlanked ()
 Returns the blank status of this object. More...
 
int Layer ()
 Returns the layer that the object is in. More...
 
NXOpen::DisplayableObject::ObjectFont LineFont ()
 Returns the line font of the object. More...
 
NXOpen::DisplayableObject::ObjectWidth LineWidth ()
 Returns the line width of the object. More...
 
NXOpen::Point3d NameLocation ()
 Returns the location of the object's name. More...
 
void RedisplayObject ()
 Redisplays the object in all views. More...
 
void RemoveViewDependency ()
 Remove dependency on all views from an object. More...
 
void SetColor (int color)
 Sets the color of the object. More...
 
void SetLayer (int layer)
 Sets the layer that the object is in. More...
 
void SetLineFont (NXOpen::DisplayableObject::ObjectFont font)
 Sets the line font of the object. More...
 
void SetLineWidth (NXOpen::DisplayableObject::ObjectWidth width)
 Sets the line width of the object. More...
 
void SetNameLocation (const NXOpen::Point3d &location)
 Sets the location of the object's name. More...
 
void Unblank ()
 Unblanks the object. More...
 
void Unhighlight ()
 Unhighlights the object. More...
 
- Public Member Functions inherited from NXOpen::NXObject
NXOpen::AttributeIteratorCreateAttributeIterator ()
 Create an attribute iterator. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type)
 Deletes all attributes of a specific type. More...
 
void DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes all attributes of a specific type with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title)
 Deletes an attribute by type and title. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option)
 Deletes an attribute by type and title with the option to update or not. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option)
 Deletes the first attribute encountered with the given Type, Title. More...
 
void DeleteUserAttributes (NXOpen::AttributeIterator *iterator, NXOpen::Update::Option option)
 Deletes the attributes on the object, if any, that satisfy the given iterator
Created in NX8.0.0. More...
 
void DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option)
 Deletes the attributes encountered with the given Type with option to update or not. More...
 
virtual NXOpen::INXObjectFindObject (const NXString &journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
virtual NXOpen::INXObjectFindObject (const char *journalIdentifier)
 Finds the NXOpen::NXObject with the given identifier as recorded in a journal. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type)
 Gets all the attribute titles of a specific type. More...
 
bool GetBooleanUserAttribute (const NXString &title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
bool GetBooleanUserAttribute (const char *title, int index)
 Gets a boolean attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::ComputationalTime GetComputationalTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
int GetIntegerAttribute (const NXString &title)
 Gets an integer attribute by title. More...
 
int GetIntegerAttribute (const char *title)
 Gets an integer attribute by title. More...
 
int GetIntegerUserAttribute (const NXString &title, int index)
 Gets an integer attribute by Title and array Index. More...
 
int GetIntegerUserAttribute (const char *title, int index)
 Gets an integer attribute by Title and array Index. More...
 
bool GetNextUserAttribute (NXOpen::AttributeIterator *iterator, NXOpen::NXObject::AttributeInformation *info)
 Gets the next attribute encountered on the object, if any, that satisfies the given iterator. More...
 
NXString GetPdmReferenceAttributeValue (const NXString &attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
NXString GetPdmReferenceAttributeValue (const char *attributeTitle)
 Gets the value of PDM Reference attribute for given object. More...
 
double GetRealAttribute (const NXString &title)
 Gets a real attribute by title. More...
 
double GetRealAttribute (const char *title)
 Gets a real attribute by title. More...
 
double GetRealUserAttribute (const NXString &title, int index)
 Gets a real attribute by Title and array Index. More...
 
double GetRealUserAttribute (const char *title, int index)
 Gets a real attribute by Title and array Index. More...
 
NXString GetReferenceAttribute (const NXString &title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetReferenceAttribute (const char *title)
 Gets the reference string (not the calculated value) of a string attribute that uses a reference string. More...
 
NXString GetStringAttribute (const NXString &title)
 Gets a string attribute value by title. More...
 
NXString GetStringAttribute (const char *title)
 Gets a string attribute value by title. More...
 
NXString GetStringUserAttribute (const NXString &title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetStringUserAttribute (const char *title, int index)
 Gets a string attribute by Title and array Index. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title)
 Gets a time attribute by title. More...
 
NXString GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title)
 Gets a time attribute by title. More...
 
NXString GetTimeUserAttribute (const NXString &title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXString GetTimeUserAttribute (const char *title, int index)
 Gets a time attribute by Title and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
NXOpen::NXObject::AttributeInformation GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const NXString &title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttribute (const char *title, bool includeUnset, bool addStringValues, NXOpen::NXObject::AttributeType type)
 Gets the first attribute (or attribute array) encountered on the object, if any, with a given Title and Type. More...
 
NXString GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
NXString GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Gets the first attribute encountered on the object, if any, with a given title, type and array index. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::AttributeIterator *iterator, bool countArrayAsOneAttribute)
 Gets the count of set attributes on the object, if any, that satisfy the given iterator. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type)
 Gets the count of set attributes on the object, if any, of the given type. More...
 
int GetUserAttributeCount (NXOpen::NXObject::AttributeType type, bool includeUnset, bool countArrayAsOneAttribute)
 Gets the count of attributes on the object, if any, of the given type. More...
 
bool GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
bool GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type)
 Determine the lock of the given attribute. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (NXOpen::AttributeIterator *iterator)
 Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes ()
 Gets all the attributes that have been set on the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset)
 Gets all the attributes of the given object. More...
 
std::vector
< NXOpen::NXObject::AttributeInformation
GetUserAttributes (bool includeUnset, bool addStringValues)
 Gets all the attributes of the given object. More...
 
std::vector< NXStringGetUserAttributesAsStrings ()
 Gets all the attributes that have been set on the given object. More...
 
int GetUserAttributeSize (const NXString &title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
int GetUserAttributeSize (const char *title, NXOpen::NXObject::AttributeType type)
 Gets the size of the first attribute encountered on the object, if any, with a given Title and Type. More...
 
std::vector< NXOpen::NXObject * > GetUserAttributeSourceObjects ()
 Returns an array of objects from which this object presents attributes. More...
 
bool HasUserAttribute (NXOpen::AttributeIterator *iterator)
 Determines if an attribute exists on the object, that satisfies the given iterator. More...
 
bool HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
bool HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index)
 Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object. More...
 
virtual bool IsOccurrence ()
 Returns whether this object is an occurrence or not. More...
 
virtual NXString JournalIdentifier ()
 Returns the identifier that would be recorded in a journal for this object. More...
 
virtual NXString Name ()
 Returns the custom name of the object. More...
 
virtual
NXOpen::Assemblies::Component
OwningComponent ()
 Returns the owning component, if this object is an occurrence. More...
 
virtual NXOpen::BasePartOwningPart ()
 Returns the owning part of this object
Created in NX3.0.0. More...
 
virtual void Print ()
 Prints a representation of this object to the system log file. More...
 
virtual NXOpen::INXObjectPrototype ()
 Returns the prototype of this object if it is an occurrence. More...
 
void SetAttribute (const NXString &title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const char *title, int value)
 Creates or modifies an integer attribute. More...
 
void SetAttribute (const NXString &title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const char *title, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const char *title, double value)
 Creates or modifies a real attribute. More...
 
void SetAttribute (const NXString &title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const char *title, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const char *title, const char *value)
 Creates or modifies a string attribute. More...
 
void SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetAttribute (const NXString &title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const char *title)
 Creates or modifies a null attribute which is an attribute with a title and no value. More...
 
void SetAttribute (const NXString &title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetAttribute (const char *title, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
void SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option)
 Creates or modifies a boolean attribute with the option to update or not. More...
 
virtual void SetName (const NXString &name)
 Sets the custom name of the object. More...
 
virtual void SetName (const char *name)
 Sets the custom name of the object. More...
 
void SetPdmReferenceAttribute (const NXString &attributeTitle, const NXString &attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetPdmReferenceAttribute (const char *attributeTitle, const char *attributeValue)
 Sets the value of PDM Reference attribute on the object. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const char *title, const char *value)
 Creates or modifies a string attribute which uses a reference string. More...
 
void SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute which uses a reference string, with the option to update or not. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const char *title, const char *value)
 Creates or modifies a time attribute. More...
 
void SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option)
 Creates or modifies a time attribute with the option to update or not. More...
 
void SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option)
 Creates or modifies an attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option)
 Creates or modifies an integer attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option)
 Creates or modifies a real attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option)
 Creates or modifies a string attribute with the option to update or not. More...
 
void SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttribute (const char *title, int index, NXOpen::Update::Option option)
 Creates or modifies a null attribute with the option to update or not. More...
 
void SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
void SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock)
 Lock or unlock the given attribute. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a section
Section consists of "chained_entity", a chain or a single entity of edge or curve.

The entire chain(or a single entity) may be used by the section or only a portion of the chain (or single entity) might be used. The portion of the chain (or single entity) that is used is defined by the "start_connector" and "end_connector".

start_connector: It represents the start of the portion of the chain (or single entity) that is used. If "start_connector" is null (Nothing), then the start point of the chained_entity along its "natural" direction is used.

start_connector_intersection_point: The point of intersection of the "chained_entity" and the "start_connector". This is used to determine what portion of the chain to use in case the "start_connector" intersects the "chained_entity" in multiple locations.

end_connector: It represents the end of the portion of the chain (or single entity) that is used.

end_connector_intersection_point: The point of intersection of the "chained_entity" and the "end_connector". This is used to determine what portion of the chain to use in case the "end_connector" intersects the "chained_entity" in multiple locations.

To create a new instance of this class, use NXOpen::SectionCollection::CreateSection

Created in NX3.0.0.

Member Enumeration Documentation

Defines entity types allowed.

Enumerator
AllowTypesUninitialized 

This is uninitialized state.

Do not use this.

AllowTypesOnlyCurves 

Allow only curves in section.

AllowTypesOnlyPoints 

Allow only points in section.

AllowTypesCurvesAndPoints 

Allow both points and curves in section.

Defines type of deselect option.

Enumerator
DeselectOptionSectionBetweenIntersection 

Potion of the loop between intersections will be deselected this may contain multiple chains.

DeselectOptionCurveBetweenIntersection 

Portion of curve between intersection.

Defines mode with respect to feature create or edit mode.

Enumerator
ModeCreate 

Feature is being created.

ModeEdit 

Feature is being edited.

Member Function Documentation

void NXOpen::Section::AddChainBetweenIntersectionPoints ( const std::vector< NXOpen::SelectionIntentRule * > &  rules,
NXOpen::NXObject startConnector,
const NXOpen::Point3d startIntersectionPoint,
NXOpen::NXObject endConnector,
const NXOpen::Point3d endIntersectionPoint,
NXOpen::NXObject seed,
const NXOpen::Point3d helpPoint,
NXOpen::Section::Mode  featureMode,
bool  chainWithinFeature 
)

Adds a chain between given two intersection points to the section.


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
rulesSelection intent rules. To create selection intent rules see documentation of ScRuleFactory for more details.
startConnectorIt represents the start of the portion of the chain (or single entity) that is used. If "startConnector" is NULL, then the start point of the chained entity along its "natural" direction is used. It can be point, curve or edge
startIntersectionPointThe point where the start connector intersects with the chain.
endConnectorRepresents the end of the portion of the chain (or single entity) that is used. It can be point, curve or edge
endIntersectionPointThe point where the end connector intersects with the chain.
seedSeed curve, edge or face
helpPointThe point which is used to determine which portion of the chain to use for creating section.
featureModeFeature create or edit mode.
chainWithinFeatureTrue if chaining and discovery of intersection limits is to be restricted to the feature of the seed. This is effective only when the seed belongs to a curve feature.
void NXOpen::Section::AddSmartPoint ( NXOpen::Point smartPt,
double  tol 
)

Add smart point into section.


This API is now deprecated. Please use ScRuleFactory::CreateRuleCurveDumb and Section::AddToSection instead.


Deprecated:
Deprecated in NX7.5.0. Please use ScRuleFactory::CreateRuleCurveDumb followed by Section::AddToSection instead.


Created in NX4.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
smartPtSmart point tobe added into section.
tolTolerance.
void NXOpen::Section::AddToSection ( const std::vector< NXOpen::SelectionIntentRule * > &  rules,
NXOpen::NXObject seed,
NXOpen::NXObject startConnector,
NXOpen::NXObject endConnector,
const NXOpen::Point3d helpPoint,
NXOpen::Section::Mode  featureMode 
)

Adds selection intent rules to the section.


Created in NX4.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
rulesSelection intent rules. To create selection intent rules see documentation of ScRuleFactory for more details.
seedSeed curve, edge or face
startConnectorIt represents the start of the portion of the chain (or single entity) that is used. If "start_connector" is null (Nothing), then the start point of the chained_entity along its "natural" direction is used. It can be point, curve or edge
endConnectorIt represents the end of the portion of the chain (or single entity) that is used. It can be point, curve or edge
helpPointWhen ambiguity in multiple solutions is encountered, help_point is used to determine which portion of the chain to use for creating section. It is most useful when used with non-NULL connectors or with Region Boundary Curves rule.
featureModeFeature create or edit mode.
void NXOpen::Section::AddToSection ( const std::vector< NXOpen::SelectionIntentRule * > &  rules,
NXOpen::NXObject seed,
NXOpen::NXObject startConnector,
NXOpen::NXObject endConnector,
const NXOpen::Point3d helpPoint,
NXOpen::Section::Mode  featureMode,
bool  chainWithinFeature 
)

Adds selection intent rules to the section with the option of restricting chaining and limit discovery to a single feature.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
rulesSelection intent rules. To create selection intent rules see documentation of ScRuleFactory for more details.
seedSeed curve, edge or face
startConnectorIt represents the start of the portion of the chain (or single entity) that is used. If "start_connector" is null (Nothing), then the start point of the chained_entity along its "natural" direction is used. It can be point, curve or edge
endConnectorIt represents the end of the portion of the chain (or single entity) that is used. It can be point, curve or edge
helpPointWhen ambiguity in multiple solutions is encountered, help_point is used to determine which portion of the chain to use for creating section. It is most useful when used with non-NULL connectors or with Region Boundary Curves rule.
featureModeFeature create or edit mode.
chainWithinFeatureTrue if chaining and discovery of intersection limits is to be restricted to the feature of the seed. This is effective only when the seed belongs to a curve feature.
void NXOpen::Section::AlignDirectionOfLoop ( const NXOpen::Point3d point,
const NXOpen::Vector3d direction 
)

Set the direction of a single loop of the section along the given vector.


Created in NX5.0.1.

License requirements : gateway ("UG GATEWAY")

Parameters
pointAny point on a the desired loop.
directionDesired tangent direction of the loop at the point.
void NXOpen::Section::AllowSelfIntersection ( bool  allowSelfIntersection)

Allow self intersecting section or not.

By default self intersection is allowed.
Created in NX4.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
allowSelfIntersectionTrue if self-intersecting section is allowed else false
double NXOpen::Section::AngleTolerance ( )

Returns the angle tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

double NXOpen::Section::ChainingTolerance ( )

Returns the chaining tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

void NXOpen::Section::CleanMappingData ( )

Cleans Mapping Data
This method should be used to clean mapping data after mapping is done


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

void NXOpen::Section::Clear ( )

Clear the section of all its constituents
Created in NX5.0.0.



License requirements : gateway ("UG GATEWAY")

NXOpen::Section* NXOpen::Section::CloneSection ( )

Clone section.

Returns
the cloned section
Created in NX7.0.0.

License requirements : None
void NXOpen::Section::DeselectPortion ( const NXOpen::Point3d seedPoint,
NXOpen::NXObject startLimit,
NXOpen::NXObject endLimit,
NXOpen::Section::DeselectOption  deselectionType 
)

Deselects Portion of the section depending on the option provided.


This method should be used to deselect portion of the section.


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
seedPointThe seed point of deselection
startLimitThe element that is connected to the curve/edge near its start point.
endLimitThe element that is connected to the curve/edge near its end point.
deselectionTypeThe deselection type
void NXOpen::Section::Destroy ( )

Destroy the section object
Created in NX4.0.0.



License requirements : gateway ("UG GATEWAY")

double NXOpen::Section::DistanceTolerance ( )

Returns the distance tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

void NXOpen::Section::EvaluateAndAskOutputEntities ( std::vector< NXOpen::NXObject * > &  refs)

Recalculates section collection.


This is JA API for recalculating the section collection and to get the section collection after recalculation.


Created in NX9.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
refsThe array of section elements.
NXOpen::Section::AllowTypes NXOpen::Section::GetAllowedEntityTypes ( )

Get the Allowed Entity Types.


Works only for UF_SC_CURVE_dumb_data_s and UF_SC_CURVE_feature_data_s

Returns
allowed entity types
Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")
int NXOpen::Section::GetLoopIndex ( NXOpen::NXObject sectionElement)

Returns the index of the section loop conatining the section element.

If the section element does not exist in the section or is part of more than one loops, this method will return an error.

Returns
loop Index
Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")
Parameters
sectionElementan element that constructs the section
int NXOpen::Section::GetLoopIndex ( const NXOpen::Point3d pointSpecifyingLoop,
double  tolerance 
)

Returns the index of the loop on which the given point lies.

Returns
loop Index
Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")
Parameters
pointSpecifyingLoopa point lying on the loop for which the loop index is being queried
toleranceTolerance for specifying point on loop.
bool NXOpen::Section::GetMultiComponent ( )

Gets the option set on Section for collection from multiple components.


A multi-component Section can have collection from multiple components i.e., multiple parts or multiple instances of same part or both.

Returns
Multi-component option set on Section
Created in NX9.0.0.

License requirements : None
bool NXOpen::Section::GetNonFeatureMode ( )

Gets the option set on Section for collection in non-feature mode.


A Section in non-feature mode does not reference the feature data of the part from which the collection is done.

Returns
Non-feature mode set on Section
Created in NX9.0.0.

License requirements : None
void NXOpen::Section::GetOldOutputCurves ( std::vector< NXOpen::NXObject * > &  oldOutputs)

Gives the old output curves of the section.


This method returns an array of old section curves. They were created internally and are different from the parent curves used to build the section. These curves should not be modified or deleted, doing so may result in part corruption and session may become unstable.


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
oldOutputsThe array of old section elements.
void NXOpen::Section::GetOutputCurves ( std::vector< NXOpen::NXObject * > &  outputs)

Gives the output curves of the section.


This method returns an array of existing section curves. They are created internally and are different from the parent curves used to build the section. These curves should not be modified or deleted, doing so may result in part corruption and session may become unstable.


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
outputsThe array of section elements.
void NXOpen::Section::GetSectionData ( std::vector< NXOpen::SectionData * > &  sectionData)

Gets the section data
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
sectionDataSection data consists of selection intent rules, section elements, start and end connector.
void NXOpen::Section::GetSectionData ( bool  withOccurrenceInfo,
std::vector< NXOpen::SectionData * > &  sectionData 
)

Gets the section data
Created in NX12.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
withOccurrenceInfoTrue to get occurrence instead of proto information
sectionDataSection data consists of selection intent rules, section elements, start and end connector.
void NXOpen::Section::GetStartAndDirection ( NXOpen::ICurve **  startElement,
NXOpen::Point3d startPoint,
NXOpen::Vector3d direction 
)

Gets the start element and the direction of the section.


Created in NX3.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
startElementThe element, curve or edge, specifying the starting of the section. If start element is point then this function will return error. If the section is a loop, then the loop is started by start_element and the direction is followed the input direction. If the section is not a loop, then the section can be started by other element, but the direction of the section is defined by the start_element and direction.
startPointThe origin of the vector that defines the direction of the section. This point has to be on the start_element.
directionThe direction of the vector defines the direction of the section.
void NXOpen::Section::GetStartAndDirectionOfLoop ( int  index,
NXOpen::Point3d startPoint,
NXOpen::Vector3d direction 
)

Gets the start point and the direction of a specified single loop of the section.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
indexThe index of the loop of the section for which start point and direction are being queried.
startPointThe origin of the vector that defines the direction of the loop of the section specified by the index.
directionThe direction of the vector defines the direction of the loop of the section specified by the index.
void NXOpen::Section::MapSectionElements ( NXOpen::NXObject oldWf,
NXOpen::NXObject newWf 
)

Maps old section curves to new section curves
This method should be used to map old section curves to new section curves when some or all curves from section are removed and some or all new curves are added.



To find old section curves see documentation for Section::GetOldOutputCurves and to find current section curves see documentation for Section::GetOutputCurves

Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
oldWfThe old section curve which was removed and hence needs to be mapped.
newWfThe new section curve that would be mapped to the old section curve.
void NXOpen::Section::PrepareMappingData ( )

Prepares Mapping Data
This method should be used to create mapping data if mapping is to be done

Created in NX7.5.0.



License requirements : gateway ("UG GATEWAY")

void NXOpen::Section::RemoveMultipleCurves ( const std::vector< NXOpen::ICurve * > &  wfs,
const std::vector< NXOpen::NXObject * > &  startConnector,
const std::vector< NXOpen::NXObject * > &  endConnector,
NXOpen::Section::Mode  featureMode 
)

Removes multiple section elements that are either curves/edges.


This API is now deprecated. Please use Section::RemoveMultipleElements instead.


Deprecated:
Deprecated in NX8.5.0. Please use Section::RemoveMultipleElements instead.


Created in NX6.0.2.

License requirements : None

Parameters
wfsThe elements (curves/edges) that construct the section.
startConnectorThe element that is connected to the curve/edge near its start point.
endConnectorThe element that is connected to the curve/edge near its end point.
featureModeFeature create or edit mode.
void NXOpen::Section::RemoveMultipleElements ( const std::vector< NXOpen::ICurve * > &  wfs,
const std::vector< NXOpen::NXObject * > &  startConnectors,
const std::vector< NXOpen::NXObject * > &  endConnectors,
const std::vector< bool > &  isCombinationsResultIntoOnlyOneCurvePerCombination,
const std::vector< NXOpen::Point3d > &  pointsOnCurvesToBeRemoved,
const std::vector< NXOpen::Point * > &  points,
NXOpen::Section::Mode  featureMode 
)

Removes multiple section elements.


This method should be used to remove the multiple section elements from section when elements to be removed contains points, and some or all curves that can not be uniquely mapped with wireframe , start connector and end connector. For Such curves point laying on the curve should be specified


Created in NX6.0.2.

License requirements : gateway ("UG GATEWAY")

Parameters
wfsThe elements (curves/edges) that construct the section.
startConnectorsThe element that is connected to the curve/edge near its start point.
endConnectorsThe element that is connected to the curve/edge near its end point.
isCombinationsResultIntoOnlyOneCurvePerCombinationWhether the combination of input curve/edge, Start Connector end Connector produces unique combination (i.e. they map to single section element) or not.
pointsOnCurvesToBeRemovedIf Combination can not define curve to be deselected uniquely, then point which lies on the curve to be removed should be provided, otherwise point must be given as (0, 0, 0) for corresponding combination
pointsThe points that are part of section and to be removed from the section.
featureModeFeature create or edit mode.
void NXOpen::Section::RemoveMultiplePoints ( const std::vector< NXOpen::Point * > &  points,
NXOpen::Section::Mode  featureMode 
)

Removes multiple section elements that are points.


This API is now deprecated. Please use Section::RemoveMultipleElements instead.


Deprecated:
Deprecated in NX8.5.0. Please use Section::RemoveMultipleElements instead.


Created in NX6.0.2.

License requirements : gateway ("UG GATEWAY")

Parameters
pointsThe points that construct the section.
featureModeFeature create or edit mode.
void NXOpen::Section::RemoveRules ( const std::vector< NXOpen::SelectionIntentRule * > &  rules,
NXOpen::NXObject startConnector,
NXOpen::NXObject endConnector,
NXOpen::Section::Mode  featureMode 
)

Removes selection intent rules from the section.


To get selection intent rules of the section see documentation for Section::GetSectionData and SectionData::GetRules for more details.


Created in NX3.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
rulesSelection intent rules.
startConnectorIt represents the start of the portion of the chain (or single entity) that is used. If "start_connector" is null (Nothing), then the start point of the chained_entity along its "natural" direction is used. It can be be point, curve or edge
endConnectorIt represents the end of the portion of the chain (or single entity) that is used. It can be be point, curve or edge
featureModeFeature create or edit mode
void NXOpen::Section::RemoveRules ( NXOpen::ICurve sectionElement,
NXOpen::NXObject startConnector,
NXOpen::NXObject endConnector,
NXOpen::Section::Mode  featureMode 
)

Removes all the selection intent rules related to the section element.


To get selection elements of the section, see documentation for Section::GetSectionData and SectionData::GetSectionElementsData for more details.


Created in NX4.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
sectionElementThe element that constructs the section
startConnectorThe element that is connected to the section_element near its start_point
endConnectorThe element that is connected to the section_element near its end_point
featureModeFeature create or edit mode.
void NXOpen::Section::RemoveSingleSectionElement ( NXOpen::ICurve sectionElement,
NXOpen::NXObject startConnector,
NXOpen::NXObject endConnector,
NXOpen::Section::Mode  featureMode 
)

Removes one section element curve.


To get selection element see documentation for Section::GetSectionData and SectionData::GetSectionElementsData for more details.


Created in NX4.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
sectionElementThe element that constructs the section
startConnectorThe element that is connected to the section_element near its start_point
endConnectorThe element that is connected to the section_element near its end_point
featureModeFeature create or edit mode
void NXOpen::Section::RemoveSingleSectionElement ( NXOpen::Point sectionElement,
NXOpen::Section::Mode  featureMode 
)

Removes one section element that is a point.


To get selection element see documentation for Section::GetSectionData and SectionData::GetSectionElementsData for more details.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
sectionElementThe point that constructs the section
featureModeFeature create or edit mode
void NXOpen::Section::RemoveUnderlyingChain ( const NXOpen::Point3d pointSpecifyingChain,
double  tolerance,
NXOpen::Section::Mode  featureMode 
)

Removes all the selection intent rules related to the chain on which the given point lies.


This method should be used in place of Section::RemoveRules when the part containing the section element is not loaded.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
pointSpecifyingChainThe point should lie on the chain that is to be removed.
toleranceTolerance for specifying point on chain.
featureModeFeature create or edit mode.
void NXOpen::Section::RemoveUnderlyingCurve ( const NXOpen::Point3d pointSpecifyingCurve,
double  tolerance,
NXOpen::Section::Mode  featureMode 
)

Removes the single curve which is within tolerance to the given point, from the section.


This method should be used in place of Section::RemoveSingleSectionElement in any of the conditions: when the part containing the section element is not loaded, when the combination of input curve, start connector and end connector maps to multiple section element, or when underlying parent is invalid.


Created in NX6.0.2.

License requirements : gateway ("UG GATEWAY")

Parameters
pointSpecifyingCurveThe point should lie on the curve that is to be removed.
toleranceTolerance for specifying point on curve.
featureModeFeature create or edit mode.
void NXOpen::Section::ReverseDirection ( )

Reverse the section direction
Created in NX4.0.0.



License requirements : gateway ("UG GATEWAY")

void NXOpen::Section::ReverseDirectionOfClosedLoop ( int  index)

Reverse the loop direction of a closed loop while keeping the start curve same.

This API can only be used closed loops.
Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
indexIndex of the closed loop for which the direction is to be reversed.
void NXOpen::Section::ReverseDirectionOfLoop ( int  index)

Reverse the direction of of a specified single loop of the section.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
indexThe index of the loop of the section that is to be reversed.
void NXOpen::Section::SetAllowedEntityTypes ( NXOpen::Section::AllowTypes  allowedEntityTypes)

Set the Allowed Entity Types.


Works only for UF_SC_CURVE_dumb_data_s and UF_SC_CURVE_feature_data_s


Created in NX7.5.0.

License requirements : gateway ("UG GATEWAY")

Parameters
allowedEntityTypesAllowed entity types.
void NXOpen::Section::SetAllowRefCrvs ( bool  allowRefCrvs)

Sets to the section whether to allow reference curves or not.


This is JA API for setting to the section whether to allow reference curves or not.


Created in NX10.0.0.

License requirements : None

Parameters
allowRefCrvsallowrefcrvs
void NXOpen::Section::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
angleToleranceangle tolerance
void NXOpen::Section::SetChainingTolerance ( double  chainingTolerance)

Sets the chaining tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
chainingTolerancechaining tolerance
void NXOpen::Section::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX3.0.0.



License requirements : gateway ("UG GATEWAY")

Parameters
distanceTolerancedistance tolerance
void NXOpen::Section::SetInterpart ( bool  interpart)

Set inter-part state of section and make it empty.


This function sets the value of interpart flag on Section. Error will be raised while setting this option on Section in following conditions: (1) Multi-component option is already set on Section.


Created in NX6.0.0.

License requirements : None

Parameters
interpartTrue to set section interpart
void NXOpen::Section::SetMultiComponent ( )

Sets the true option on Section for collection from multiple components.


A multi-component Section can have collection from multiple components i.e., multiple parts or multiple instances of same part or both. This method should be used only if such collection is desired. Error will be raised while setting this option on Section in following conditions: (1) Inter-part option is already set on Section.


Created in NX9.0.0.

License requirements : None

void NXOpen::Section::SetNonFeatureMode ( )

Sets the true option on Section for collection in non-feature mode.


A Section in non-feature mode does not reference the feature data of the part from which the collection is done. The option should be set on an empty Section only. For a non-empty Section, setting this option will raise error in following conditions: (1) Section is referencing feature data and non-feature mode is set true. (2) Section is not referencing feature data and non-feature mode is set false.


Created in NX9.0.0.

License requirements : None

void NXOpen::Section::SetStartAndDirection ( NXOpen::ICurve startElement,
const NXOpen::Point3d startPoint,
const NXOpen::Vector3d direction 
)

Sets the start element and the direction of the section.


Created in NX3.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
startElementThe element, curve or edge, specifying the starting of the section. If the section is a loop, then the loop is started by start_element and the direction is followed the input direction. If the section is not a loop, then the section can be started by other element, but the direction of the section is defined by the start_element and direction.
startPointThe origin of the vector that defines the direction of the section. This point has to be on the start_element.
directionThe direction of the vector defines the direction of the section.
void NXOpen::Section::SetStartCurveOfClosedLoop ( int  index,
const NXOpen::Point3d pointOnStartCurve 
)

Set the curve on which the specified point lies as the start curve of a specified single loop of the section.


Created in NX5.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
indexIndex of the loop for which the start curve is to be set.
pointOnStartCurveAny point on a curve that is to be set as the start curve.
void NXOpen::Section::SkipSorting ( bool  skipSorting)

Sets the option to skip sorting the section loops or not.


This method should be used rare scenarios. In normal situation this method should never be used. If sort option is set to true then it should be set to false after required operation is done. If sort option is set to true then section loops are not sorted and output will not be in order.


Created in NX8.0.0.

License requirements : gateway ("UG GATEWAY")

Parameters
skipSortingTrue to skip sorting of section loops else false

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.